This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578187 - BIND 9.7 request - SELinux policy needs to be updated
BIND 9.7 request - SELinux policy needs to be updated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.6
All Linux
low Severity low
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On: 570611 623124
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 10:08 EDT by Adam Tkac
Modified: 2012-10-15 10:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A new version of Berkeley Internet Name Domain (BIND) required various additional changes in SELinux policy. These updated packages introduce the adjusted SELinux rules, and add the SELinux context for the /var/named/data/ and /var/named/slaves/ directories.
Story Points: ---
Clone Of: 570611
Environment:
Last Closed: 2011-01-13 16:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2010-03-30 10:08:14 EDT
+++ This bug was initially created as a clone of Bug #570611 +++

Description of problem:
BIND 9.3 shipping with EL5 doesn't support NSEC3 and a number of other needed features.  As EL5 will be around for some time in production, and EL6 is still forthcoming, BIND9.6 is needed for NSEC3 support.  Specifically in the .GOV gTLD and others.

A tech preview of BIND 9.6 is requested for EL5.

Please reference:
https://bugzilla.redhat.com/show_bug.cgi?id=504794
https://bugzilla.redhat.com/show_bug.cgi?id=491655

--- Additional comment from atkac@redhat.com on 2010-03-05 04:44:31 EST ---

BIND 9.7 has been already released so I prefer to use it instead of older 9.6.

--- Additional comment from jason.redhat.20030417@roysdon.net on 2010-03-05 14:09:15 EST ---

Wonderful.  Does another bug request need to be opened, or can this just be modified to ask for a tech preview of BIND 9.7?
Comment 1 Adam Tkac 2010-03-30 10:10:04 EDT
BIND 9.7 tech preview will require to allow more actions in SELinux policy. I will prepare test package and attach list of rules which should be added.
Comment 3 Adam Tkac 2010-06-01 10:48:44 EDT
After inspection following rule must be added to the policy:

allow named_t self:process getcap;

and /var/named/dynamic directory must be, by default, labelled as "system_u:object_r:named_cache_t", like /var/named/data and /var/named/slaves directory.
Comment 5 Miroslav Grepl 2010-07-22 05:21:58 EDT
Fixed in selinux-policy-2.4.6-281.el5.noarch
Comment 11 Jaromir Hradilek 2011-01-05 11:11:21 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A new version of Berkeley Internet Name Domain (BIND) required various additional changes in SELinux policy. These updated packages introduce the adjusted SELinux rules, and add the SELinux context for the /var/named/data/ and /var/named/slaves/ directories.
Comment 13 errata-xmlrpc 2011-01-13 16:48:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0026.html

Note You need to log in before you can comment on or make changes to this bug.